Faiss

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- a
- b
- c
- d
- e
- f
- g
- h
- i
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- z
- ~

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
Here is a list of all documented class members with links to the class documentation for each member:

### - s -

- scan_table_threshold : faiss::IndexIVFPQ
- sdc_table : faiss::ProductQuantizer
- search() : faiss::gpu::GpuIndexFlat , faiss::IndexFlatL2BaseShift , faiss::IndexLSH , faiss::IndexPQ , faiss::IndexRefineFlat , faiss::MultiIndexQuantizer , faiss::IndexScalarQuantizer , faiss::gpu::IndexProxy , faiss::IndexFlat1D , faiss::IndexIVFScalarQuantizer , faiss::IndexIDMap , faiss::IndexIVFFlat , faiss::IndexShards , faiss::IndexSplitVectors , faiss::gpu::GpuIndex , faiss::Index , faiss::IndexIVFFlatIPBounds , faiss::ProductQuantizer , faiss::IndexPreTransform , faiss::IndexIVFPQ , faiss::IndexFlat , faiss::IndexIVFPQR , faiss::IndexIVFScalarQuantizer
- search_ip() : faiss::ProductQuantizer
- search_knn_inner_product() : faiss::IndexIVFFlat
- search_knn_L2sqr() : faiss::IndexIVFFlat
- search_knn_with_key() : faiss::IndexIVFPQ , faiss::IndexIVFPQCompact
- search_preassigned() : faiss::IndexIVFFlat
- Search_type_t : faiss::IndexPQ
- searchFromCpuPaged_() : faiss::gpu::GpuIndexFlat
- searchImpl_() : faiss::gpu::GpuIndex , faiss::gpu::GpuIndexFlat , faiss::gpu::GpuIndexIVFFlat , faiss::gpu::GpuIndexIVFPQ
- seed : faiss::ClusteringParameters
- set_derived_values() : faiss::ProductQuantizer
- set_groundtruth() : faiss::AutoTuneCriterion
- set_index_parameter() : faiss::ParameterSpace , faiss::gpu::GpuParameterSpace
- set_index_parameters() : faiss::ParameterSpace
- set_lims() : faiss::RangeSearchPartialResult
- set_params() : faiss::ProductQuantizer
- set_result() : faiss::RangeSearchPartialResult
- setMinPagingSize() : faiss::gpu::GpuIndexFlat
- setNumProbes() : faiss::gpu::GpuIndexIVF
- setPinnedMemory() : faiss::gpu::StandardGpuResources
- setPrecomputedCodes() : faiss::gpu::GpuIndexIVFPQ , faiss::gpu::IVFPQ
- setTempMemory() : faiss::gpu::StandardGpuResources
- setTempMemoryFraction() : faiss::gpu::StandardGpuResources
- shard : faiss::gpu::GpuMultipleClonerOptions
- SimulatedAnnealingOptimizer() : faiss::SimulatedAnnealingOptimizer
- size_ : faiss::gpu::StackDeviceMemory::Stack , faiss::gpu::Tensor< T, Dim, Contig, IndexT, PtrTraits >
- sizes() : faiss::gpu::Tensor< T, Dim, Contig, IndexT, PtrTraits >
- source_dis : faiss::ReproduceDistancesObjective
- space_ : faiss::gpu::IVFBase
- spherical : faiss::ClusteringParameters
- sq : faiss::IndexScalarQuantizer
- ST_generalized_HE : faiss::IndexPQ
- ST_HE : faiss::IndexPQ
- ST_polysemous : faiss::IndexPQ
- ST_polysemous_generalize : faiss::IndexPQ
- ST_PQ : faiss::IndexPQ
- ST_SDC : faiss::IndexPQ
- Stack() : faiss::gpu::StackDeviceMemory::Stack
- stack_ : faiss::gpu::StackDeviceMemory
- StackDeviceMemory() : faiss::gpu::StackDeviceMemory
- start_ : faiss::gpu::StackDeviceMemory::Stack
- stop() : faiss::gpu::WorkerThread
- storeTransposed : faiss::gpu::GpuClonerOptions , faiss::gpu::GpuIndexFlatConfig
- streamWaitOnEvent() : faiss::gpu::CudaEvent
- stride_ : faiss::gpu::Tensor< T, Dim, Contig, IndexT, PtrTraits >
- strides() : faiss::gpu::Tensor< T, Dim, Contig, IndexT, PtrTraits >
- SubTensor< TensorType, 1, PtrTraits > : faiss::gpu::detail::SubTensor< TensorType, 0, PtrTraits >
- SubTensor< TensorType, SubDim+1, PtrTraits > : faiss::gpu::detail::SubTensor< TensorType, SubDim, PtrTraits >